package com.kim.apidoc.core.common.helper;

import com.github.javaparser.ast.body.EnumDeclaration;
import com.github.javaparser.resolution.declarations.ResolvedEnumConstantDeclaration;
import com.github.javaparser.resolution.declarations.ResolvedEnumDeclaration;
import com.kim.apidoc.core.schema.Section;

public class EnumHelper {

    public static String getNames(ResolvedEnumDeclaration enumDeclaration) {
        StringBuilder sb = new StringBuilder();
        for (ResolvedEnumConstantDeclaration resolvedEnumConstantDeclaration : enumDeclaration.getEnumConstants()) {
            if (sb.length() > 0) {
                sb.append(",");
            }
            sb.append(resolvedEnumConstantDeclaration.getName());
        }
        return sb.toString();
    }

    public static Section toDetails(EnumDeclaration declaration) {
        Section section = new Section();
        section.setId(declaration.getNameAsString());
        section.setName(declaration.getNameAsString());
        section.setNameAndDescription(declaration.getNameAsString());

        //Map<String, Row> rows = Maps.newLinkedHashMap();
        //for (EnumConstantDeclaration constant : declaration.getEntries()) {
        //    Row row=new Row();
        //    row.setKey(constant.getNameAsString());
        //    for (Expression expression : constant.getArguments()) {
        //        Object value = Expressions.getValue(expression);
        //        cell.add(String.valueOf(value));
        //    }
        //    cells.add(cell);
        //}
        return section;
    }

}
