package com.kim.apidoc.core.schema;

import lombok.Getter;
import lombok.Setter;

import java.util.Set;
import java.util.TreeSet;

/**
 * 章，一个类解析为一章
 *
 * @author fengyuchenglun
 * @version 1.0.0
 */
@Setter
@Getter
public class Chapter extends Node {
    /**
     * 章节节点.
     */
    public static final String NODE_CHAPTER = "NODE_CHAPTER";
    /**
     * 附录节点.
     */
    public static final String NODE_APPENDIX = "NODE_APPENDIX";

    /**
     * The Book name.
     */
    String bookName;

    /**
     * The Sections.
     */
    Set<Section> sections = new TreeSet<>();

}
